Loading...
Searching...
No Matches
Dune::TypeTree::SimpleCompositeNodeTransformation< SourceNode, Transformation, TransformedNode >::result< TC > Struct Template Reference

`#include <dune/typetree/simpletransformationdescriptors.hh>`

## Public Types

typedef TransformedNode< TC... > | type
typedef std::shared_ptr< type > | storage_type

## Member Typedef Documentation

## storage_type

template<typename SourceNode, typename Transformation, template< typename... > class TransformedNode>
template<typename... TC>

typedef std::shared_ptr<type> Dune::TypeTree::SimpleCompositeNodeTransformation< SourceNode, Transformation, TransformedNode >::result< TC >::storage_type

## type

template<typename SourceNode, typename Transformation, template< typename... > class TransformedNode>
template<typename... TC>

typedef TransformedNode<TC...> Dune::TypeTree::SimpleCompositeNodeTransformation< SourceNode, Transformation, TransformedNode >::result< TC >::type

The documentation for this struct was generated from the following file:

- simpletransformationdescriptors.hh